
using UnityEditor;
using UnityEditor.Callbacks;
using UnityEngine;

namespace XGame.Editor.Build
{
    public class BuildPostprocessor
    {
        [PostProcessBuild]
        private static void OnPostprocessBuild(BuildTarget target, string pathToBuiltProject)
        {
            if (target == BuildTarget.Android)
            {
#if UNITY_ANDROID
                ObbUtil.GenerateObb(pathToBuiltProject);

#endif
            }
            BuildLog.Log($"OnPostProcessBuild finish. target:{target}  path:{pathToBuiltProject}");
        }
       
    }
}

